<?php
Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('" . $this->getAction()->modelIdentifier . "-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button')); ?>

<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('ext.crudactions.views._search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$gridConfig = array(
    'id' => $this->getAction()->modelIdentifier . '-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
);
if ($this->getAction()->displayColumns) {
    $gridConfig['columns'] = $this->getAction()->displayColumns;
} else {
    $gridConfig['columns'] = array_slice($model->attributeNames(), 0, 7);
    $gridConfig['columns'][] = array('class'=>'CButtonColumn');
}
$this->widget('zii.widgets.grid.CGridView', $gridConfig);
?>